VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
ITestResult Class Referenceabstract

Test Result message logger [host imp] When a test is called, a pointer to an ITestResult is passed in, so the test class can output error messages. More...

`#include <itest.h>`

Inheritance diagram for ITestResult:

## Public Member Functions
virtual void | addErrorMessage (const char *msg)=0
| add an error message
virtual void | addMessage (const char *msg)=0
| add a message
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Test Result message logger [host imp] When a test is called, a pointer to an ITestResult is passed in, so the test class can output error messages.

## Member Function Documentation

## ◆ addErrorMessage()

virtual void addErrorMessage | ( | const char * | msg | ) |
| pure virtual

add an error message

## ◆ addMessage()

virtual void addMessage | ( | const char * | msg | ) |
| pure virtual

add a message

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.